import React, { Component } from 'react'

import { Form, Input, DatePicker, Row, Col, Button, Icon, Select } from 'antd';

const FormItem = Form.Item;


export default class T26F extends Component {

    name = '26F'
    desp = "Settlement Type"

    pattern = "	9a"
    tno = -1
    onChange = (val) => {
        this.props.onValue([{ s1: val }, val])
    }

    render() {
        let value = this.props.value

        let mval = value && value.length ? value[1] : ''
        let errmsg = value && value.length == 3 ? value[2] : {}

        value = value && value.length ? value[0] : {}
        return (<Row>
            <Col span={5}>
                <FormItem
                    help={errmsg.s1}
                    validateStatus={errmsg.s1 ? 'error' : null}
                >
                    <Select allowClear={true} value={value.s1} style={{ width: "100%" }} placeholder="type" onChange={(val) => this.onChange(val)}>
                        <Option value="NETCASH">NETCASH</Option>
                        <Option value="PRINCIPAL">PRINCIPAL</Option>
                    </Select>
                </FormItem>
            </Col>
        </Row>)
    }
}